var _templateObject = _taggedTemplateLiteralLoose(['\n  &&& {\n    display: flex;\n    flex-wrap: wrap;\n    padding: 0;\n    width: 100%;\n    justify-content: ', ';\n    flex-direction: row;\n  }\n  &&& > * {\n    padding-left: ', ';\n    padding-right: ', ';\n  }\n'], ['\n  &&& {\n    display: flex;\n    flex-wrap: wrap;\n    padding: 0;\n    width: 100%;\n    justify-content: ', ';\n    flex-direction: row;\n  }\n  &&& > * {\n    padding-left: ', ';\n    padding-right: ', ';\n  }\n']);

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

import React, { useEffect } from 'react';
import styled from 'styled-components';
import PropTypes from 'prop-types';
import Grid from './grid';

var propTypes = {
  /** Spacing between Cols (px) */
  gutter: PropTypes.number,
  /** Determines horizontal position */
  justify: PropTypes.oneOf(['center', 'end', 'space-around', 'space-between', 'space-evenly', 'start'])
};

var defaultProps = {
  gutter: 0,
  justify: 'start'
};

var StyledRow = styled(Grid)(_templateObject, function (props) {
  return (props.justify === 'start' || props.justify === 'end' ? 'flex-' : '') + props.justify;
}, function (props) {
  return props.gutter + 'px';
}, function (props) {
  return props.gutter + 'px';
});

/**
 * The `Row` component...
 */
var Row = function Row(_ref) {
  var loading = _ref.loading,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['loading', 'children']);

  return React.createElement(
    StyledRow,
    props,
    loading ? children : React.createElement(
      React.Fragment,
      null,
      children
    )
  );
};

Row.propTypes = process.env.NODE_ENV !== "production" ? propTypes : {};
Row.defaultProps = defaultProps;

export default Row;